curl --request GET \
--url https://api.palomma.com/v0/payinLinks/{payinLinkId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.palomma.com/v0/payinLinks/{payinLinkId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.palomma.com/v0/payinLinks/{payinLinkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.palomma.com/v0/payinLinks/{payinLinkId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.palomma.com/v0/payinLinks/{payinLinkId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.palomma.com/v0/payinLinks/{payinLinkId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.palomma.com/v0/payinLinks/{payinLinkId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "01HPR5TEDFKT498V8CYY3RPCXP",
"reference": "<string>",
"description": "<string>",
"customerId": "01HPR57X6QR5ZRKEEKBSDBW4RA",
"customerDetails": {
"reference": "<string>",
"name": "Pepito Perez",
"documentType": "cc",
"documentNumber": "1037551022",
"email": "pepito@gmail.com",
"phoneNumber": "3013111111"
},
"status": "approved",
"statusMessage": "AUTHENTICATION_FAILED",
"paymentUrl": "http://payments.palomma.com/payinLinks?payinLinkId=01HPR5TEDFKT498V8CYY3RPCXP",
"redirectUrl": "http://merchant.com/checkout",
"amount": 100000,
"amountCollected": 100000,
"fee": 500,
"type": "general",
"expiration": "<string>",
"targetMerchantAccountId": "default",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Retrieve payin link
curl --request GET \
--url https://api.palomma.com/v0/payinLinks/{payinLinkId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.palomma.com/v0/payinLinks/{payinLinkId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.palomma.com/v0/payinLinks/{payinLinkId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.palomma.com/v0/payinLinks/{payinLinkId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.palomma.com/v0/payinLinks/{payinLinkId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.palomma.com/v0/payinLinks/{payinLinkId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.palomma.com/v0/payinLinks/{payinLinkId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "01HPR5TEDFKT498V8CYY3RPCXP",
"reference": "<string>",
"description": "<string>",
"customerId": "01HPR57X6QR5ZRKEEKBSDBW4RA",
"customerDetails": {
"reference": "<string>",
"name": "Pepito Perez",
"documentType": "cc",
"documentNumber": "1037551022",
"email": "pepito@gmail.com",
"phoneNumber": "3013111111"
},
"status": "approved",
"statusMessage": "AUTHENTICATION_FAILED",
"paymentUrl": "http://payments.palomma.com/payinLinks?payinLinkId=01HPR5TEDFKT498V8CYY3RPCXP",
"redirectUrl": "http://merchant.com/checkout",
"amount": 100000,
"amountCollected": 100000,
"fee": 500,
"type": "general",
"expiration": "<string>",
"targetMerchantAccountId": "default",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}{
"message": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Unique identifier of the payin link.
Response
Payin Link retrieved successfully.
Unique identifier for the Payin Link.
"01HPR5TEDFKT498V8CYY3RPCXP"
An optional reference provided by the merchant to identify the Payin Link.
Description of the Payin Link.
The ID of the customer for whom the Payin Link is created.
"01HPR57X6QR5ZRKEEKBSDBW4RA"
Show child attributes
Show child attributes
The current status of the Payin Link.
pending, processing, approved, cancelled "approved"
Additional detail on the status. Only present when status is "cancelled".
AUTHENTICATION_FAILED, CUSTOMER_CANCELLATION, DECLINED_BY_BANK, EXPIRED, INVALID_ACCOUNT, NOT_ENOUGH_FUNDS, ERROR URL to which the customer can go to complete the payment.
"http://payments.palomma.com/payinLinks?payinLinkId=01HPR5TEDFKT498V8CYY3RPCXP"
URL to which the customer will be redirected after the payment process.
"http://merchant.com/checkout"
The total amount to be paid in COP.
100000
The amount that has been collected in COP.
100000
Any fee associated with the Payin Link.
500
The type of Payin Link
general, pse, bancolombiaButton, nequiButton, card, bancolombiaCollect Datetime when link will expire in YYYY-MM-DDTHH:mm:ss format. By default, expiration is at the end of the day after the link creation. Minimum expiration is the current date and maximum expiration is at the end of the 7th day from creation. Links expire shortly after the specified datetime has passed.
Account ID of the target merchant account for this Payin Link.
"default"
ISO string representing when the Payin Link was created.
ISO string representing when the Payin Link was last updated.
